org.keycloak.storage.jpa.entity

## Class FederatedUserRequiredActionEntity

- java.lang.Object
- - org.keycloak.storage.jpa.entity.FederatedUserRequiredActionEntity

-     @Entity
      public class FederatedUserRequiredActionEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FederatedUserRequiredActionEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected String` | `realmId`
    `protected String` | `storageProviderId`
    `protected String` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedUserRequiredActionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAction()`
    `String` | `getRealmId()`
    `String` | `getStorageProviderId()`
    `String` | `getUserId()`
    `int` | `hashCode()`
    `void` | `setAction(String action)`
    `void` | `setRealmId(String realmId)`
    `void` | `setStorageProviderId(String storageProviderId)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userId

          protected String userId

    - #### action

          protected String action

    - #### realmId

          protected String realmId

    - #### storageProviderId

          protected String storageProviderId

  - ### Constructor Detail

    - #### FederatedUserRequiredActionEntity

          public FederatedUserRequiredActionEntity()

  - ### Method Detail

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getStorageProviderId

          public String getStorageProviderId()

    - #### setStorageProviderId

          public void setStorageProviderId(String storageProviderId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.